<?php
/*
  Plugin Name: NoPassword
  Version: 0.1
  Description: Disable the password dialogs
  Plugin URI: http://piwigo.org/ext/extension_view.php?eid=800
  Author: fifreb
  Author URI:
*/

/*
  NoPassword - A Piwigo Plugin that disable password forms.
  Copyright (C) 2015 Philippe Troin <phil@fifi.org>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

defined('PHPWG_PLUGINS_PATH') or die('Hacking attempt!');

define('NOPASSWORD_ID',       basename(dirname(__FILE__)));
define('NOPASSWORD_PATH' ,    PHPWG_PLUGINS_PATH . NOPASSWORD_ID . '/');

add_event_handler('loc_begin_identification', 'NoPassword_Begin_Identification');
add_event_handler('loc_begin_profile',        'NoPassword_Begin_Profile');

if (defined('IN_ADMIN')) {
  add_event_handler('loc_begin_admin',        'NoPassword_Begin_Admin');

}

function NoPassword_Begin_Identification()
{
  redirect(get_root_url().'index.php');
}

function NoPassword_Begin_Profile()
{
  global $template;

  $template->set_prefilter('profile_content', 'NoPassword_Profile_Content_Prefilter');
}

function NoPassword_Profile_Content_Prefilter($content, &$smarty)
{
  return preg_replace('#^(.*)<li>.*?<label [^>]*for="password">.*?</li>'
			.'.*?<li>.*?<label [^>]*for="use_new_pwd">.*?</li>'
			.'.*?<li>.*?<label [^>]*for="passwordConf">.*?</li>(.*)$#s',
		      '$1$2',
		      $content);
}

function NoPassword_Begin_Admin()
{
  global $template;

  $template->set_prefilter('user_list', 'NoPassword_User_List_Prefilter');
}

function NoPassword_User_List_Prefilter($content, &$smarty)
{
  // Inject some extra javascript to hide and disable password fields
  return "{combine_script id='NoPassword-admin-js' require='jquery' load='header' path='plugins/NoPassword/nopassword-admin.js'}
{combine_css id='NoPassword-admin-css' load='header' path='plugins/NoPassword/nopassword-admin.css'}
".$content;
}

?>
